This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 492723

Summary: Radeon driver causing "noise" on DVI-connected LCD panel
Product: [Fedora] Fedora Reporter: Alex Hudson (Fedora Address) <fedora>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: fdc, vedran, xgl-maint
Target Milestone: ---Flags: mcepl: needinfo? (fedora)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:35:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Log from Radeon driver which shows the problem
none
Log from working RadeonHD configuration.
none
Xorg.log.0 from session with problem
none
dmesg from boot with problem
none
Xorg.0.log from radeonhd (working) none

Description Alex Hudson (Fedora Address) 2009-03-28 17:34:54 EDT
Created attachment 337124 [details]
Log from Radeon driver which shows the problem

Description of problem:

I just installed Rawhide on my desktop, which is connected to an LCD panel via DVI. When logging into GNOME, there are odd bits of noise all over: mainly on the grey parts of title bars and tool bars, but pixels flicker here and there across the panel and looking at the left and right hand edges we can see the odd pixel 'jumping' right.

This occurs under the radeon driver; however, I installed and configured radeonhd and it completely goes away - so I assume that it's a software problem with something to do with signal timing, rather than a problem with my hardware.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.11.0-10.fc11.x86_64
xorg-x11-drv-radeonhd-1.2.4-2.4.20090306git.fc11.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install rawhide
2. Log into desktop
3. 
  
Actual results:

Observe speckling/"noise"

Expected results:

No "noise".

Additional info:

lspci says:

01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4550]
01:00.1 Audio device: ATI Technologies Inc RV730XT Audio device [Radeon HD 4670]

xrandr output:

Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 3600 x 1680
VGA_1 disconnected
TV_7PIN_DIN disconnected
DVI-I_1/digital connected 1680x1050+0+0 470mm x 300mm
   1680x1050      59.9*    59.9  
   1280x1024      75.0     59.9  
   1440x900       74.9     60.0  
   1280x960       59.9  
   1152x864       75.0  
   1280x720       59.9  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     60.0  
   720x400        70.1  
DVI-I_1/analog disconnected

I'm attaching two logs, one from each driver, in case there's anything in there which might be helpful...
Comment 1 Alex Hudson (Fedora Address) 2009-03-28 17:35:27 EDT
Created attachment 337125 [details]
Log from working RadeonHD configuration.
Comment 2 François Cami 2009-04-01 17:51:26 EDT
Alex,

Could you please retry with the newest 6.12 driver in rawhide,
and attach dmesg and /var/log/Xorg.0.log as uncompressed text/plain
attachments ?

Thank you

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Alex Hudson (Fedora Address) 2009-04-02 09:25:01 EDT
Updated, the problem is still there:

$ rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.12.1-2.fc11.x86_64
$ uname -a
Linux localhost.localdomain 2.6.29.1-37.rc1.fc11.x86_64 #1 SMP Wed Apr 1 08:56:57 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

Attaching logs as requested; thanks François!
Comment 4 Alex Hudson (Fedora Address) 2009-04-02 09:25:52 EDT
Created attachment 337805 [details]
Xorg.log.0 from session with problem
Comment 5 Alex Hudson (Fedora Address) 2009-04-02 09:26:21 EDT
Created attachment 337806 [details]
dmesg from boot with problem
Comment 6 François Cami 2009-04-02 15:49:40 EDT
Created attachment 337890 [details]
Xorg.0.log from radeonhd (working)
Comment 7 François Cami 2009-04-02 16:00:46 EDT
Alex,

Thank you for the logs.
Could you by any chance capture a screenshot of the problem ?
Maybe running something like this in a terminal would help :

for i in `seq 1 10` ; do import -window root /tmp/screenshot$i.png  && sleep 0.1 ; done

Thank you.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Alex Hudson (Fedora Address) 2009-04-03 02:19:32 EDT
Hi François,

The desktop is unfortunately fine - the screenshots don't show any problem. It's something to do with the output.

It's like it got the modeline slightly wrong or something, but how that works in the DVI world I have no idea.
Comment 9 Bug Zapper 2009-06-09 08:46:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Alex Hudson (Fedora Address) 2009-08-25 13:07:12 EDT
Checked against Fedora 12 Alpha; this bug is still present.

Additionally, I still see bug #493090 using the same hardware. I don't know if they are related or not, but clearly the hardware support for this Radeon isn't quite there yet.
Comment 11 Matěj Cepl 2009-11-05 13:23:55 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Matěj Cepl 2010-02-26 07:21:49 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 13 Bug Zapper 2010-04-27 09:21:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Vedran Miletić 2010-05-24 14:57:30 EDT
Closing per comment 12.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 15 Bug Zapper 2010-06-28 07:35:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.